v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/dbheaders/uploadkits
Retrieves inventory headers containing barcodes from the database.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- */*
200 Response
Successful operation
Root Schema : UploadDBHeaderResponse
Type:
objectTitle:
UploadDBHeaderResponseContains database header response.
Show Source
-
dbHeaders: array
DB Headers
Title:
DB HeadersDatabase headers.
Nested Schema : DB Headers
Type:
arrayTitle:
DB HeadersDatabase headers.
Show Source
-
Array of:
string
Example:
Kit Number
Example:
[
"Kit Type",
"Kit Number"
]500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.